Debian Bug report logs - #511247
Debian mixed testing/unstable, apt.conf, Default-Release, live-helper sequence;

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: schoappied <schoappied@gmail.com>

Date: Thu, 8 Jan 2009 20:15:09 UTC

Severity: normal

Fixed in version live-helper/1.0.2-3

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511247; Package live-helper. (Thu, 08 Jan 2009 20:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to schoappied <schoappied@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 08 Jan 2009 20:15:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: schoappied <schoappied@gmail.com>
To: submit@bugs.debian.org
Subject: Debian mixed testing/unstable, apt.conf, Default-Release, live-helper sequence;
Date: Thu, 08 Jan 2009 21:13:09 +0100
Package: live-helper

Version: 1.0.2-2

We can't build a Debian testing/ unstable mixed system with just the 
/etc/apt/apt.conf file with this line:

APT::Default-Release "testing";


Discussion from IRC #debian-live:

[13:27] <lamby> But we cannot use apt.conf (ie. Default-Release) as it 
requires the wrong type. And live-helper messes with it incorrectly if I 
read the scrollback correctly (which is a bug).
[13:28] <SynrG> lamby: but lh_chroot_apt has no provision for arbitrary 
additional apt.conf.d material :P
[13:28] <SynrG> if it did, we'd be ok
[13:28] <SynrG> we could use Default-Release here
[13:28] <SynrG> the line i posted to the list won't work only because we 
cannot automatically set this to LH_DISTRIBUTION
[13:28] <SynrG> but if we could provide our own 
/etc/apt/conf.d/99default-release
[13:29] <SynrG> er
[13:29] <SynrG> /etc/apt/apt.conf.d/99default-release
[13:29] <SynrG> then we'd be fine
[13:29] <lamby> Why can't you do that via includes?
[13:29] <SynrG> because the sequence is:
[13:29] <SynrG> lh_chroot_apt
[13:29] <lamby> Hah, of course. :)
[13:29] <SynrG> lh_chroot_local-packages
[13:29] <lamby> Please file this is a bug.
[13:30] <SynrG> lh_chroot_local-includes
[13:30] <SynrG> :P

from man apt.conf:

Default-Release
          Default release to install packages from if more than one 
version available.
          Contains release name or release version. Examples: ´stable´, 
´testing´,
          ´unstable´, ´4.0´, ´5.0*´. Release codenames (´etch´, ´lenny´ 
etc.) are not allowed
          now. See also apt_preferences(5).






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#511247; Package live-helper. (Fri, 09 Jan 2009 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 09 Jan 2009 15:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 511247@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: schoappied <schoappied@gmail.com>, 511247@bugs.debian.org
Subject: Re: Bug#511247: Debian mixed testing/unstable, apt.conf, Default-Release, live-helper sequence;
Date: Fri, 09 Jan 2009 16:19:28 +0100
tags 511247 +pending
thanks

schoappied wrote:
> [13:29] <SynrG> /etc/apt/apt.conf.d/99default-release
> [13:29] <SynrG> then we'd be fine
> [13:29] <lamby> Why can't you do that via includes?
> [13:29] <SynrG> because the sequence is:
> [13:29] <SynrG> lh_chroot_apt
> [13:29] <lamby> Hah, of course. :)
> [13:29] <SynrG> lh_chroot_local-packages

currently, it makes more sense to just allow custom apt.conf handling
like the already existing preferences handling, which i've commited in git.

you can now use/ship your own apt.conf that will be used automatically
if placed in config/chroot_apt/apt.conf.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 09 Jan 2009 15:27:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 10 Jan 2009 21:09:28 GMT) Full text and rfc822 format available.

Notification sent to schoappied <schoappied@gmail.com>:
Bug acknowledged by developer. (Sat, 10 Jan 2009 21:09:33 GMT) Full text and rfc822 format available.

Message #17 received at 511247-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 511247-close@bugs.debian.org
Subject: Bug#511247: fixed in live-helper 1.0.2-3
Date: Sat, 10 Jan 2009 21:02:32 +0000
Source: live-helper
Source-Version: 1.0.2-3

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.2-3.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.2-3.diff.gz
live-helper_1.0.2-3.dsc
  to pool/main/l/live-helper/live-helper_1.0.2-3.dsc
live-helper_1.0.2-3_all.deb
  to pool/main/l/live-helper/live-helper_1.0.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 15:00:00 -0500
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.2-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 511247
Changes: 
 live-helper (1.0.2-3) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Add 'dump' as a getopt longoption so as not to prevent rejection of --dump
     argument to lh_config.
   * Only print versions of live-helper in --dump output, not every package
     installed.
   * Test for dpkg-query instead of dpkg if we are only going to run dpkg-query
     within that scope.
   * Don't assume that if dpkg is installed, we'll actually get a live-helper
     version number from it.
   * Re-order arguments to find(1) to silence warning about sub-optimal ordering.
   * Set default value of _COLOR to "false" from "disabled".
 .
   [ Daniel Baumann ]
   * Also handling custom apt.conf in config/chroot_apt/apt.conf to allow further
     apt configuration (Closes: #511247).
   * Adding sample hook to add custom /etc/modules entries.
   * Truncating resolv.conf created during bootstrap stage, otherwise we'll end
     up with a local resolv.conf in the final image. Thanks to Ben Armstrong
     <synrg@debian.org>.
Checksums-Sha1: 
 3b865b1a92f9a824f26ff152447019a998d3ce51 1239 live-helper_1.0.2-3.dsc
 dceb198b7bedb50516c45e565eedaa807cf474b1 24709 live-helper_1.0.2-3.diff.gz
 16d4965827574c547ce49962c29a037e98f6deb5 3865684 live-helper_1.0.2-3_all.deb
Checksums-Sha256: 
 1c6de154a473a1e4a2a193bfbaeef002a03015dea6a91ef768a0e271b3f6511e 1239 live-helper_1.0.2-3.dsc
 426ded138ba89f6f184625877a099e92b33befc03ef73023b0cccc111c3ce200 24709 live-helper_1.0.2-3.diff.gz
 dd916b109514a958a0a74e29909a66be15c3412ffe08bc456e7855e79bbc1b00 3865684 live-helper_1.0.2-3_all.deb
Files: 
 ce79ab155b13112a0c26a9a2110dcf9f 1239 misc optional live-helper_1.0.2-3.dsc
 a994bf76c4af6c9bd9e6b8aa39ff424d 24709 misc optional live-helper_1.0.2-3.diff.gz
 2a6c6090cc8347c13cf0dbfe952af787 3865684 misc optional live-helper_1.0.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklpB4sACgkQ+C5cwEsrK57EdACg1EH/Uu2XbEIBwSvZOY7BjNGp
UXcAnR2E/KMFqmR9Wpo7qKdf0OQkwVJ5
=U3kB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Feb 2009 07:28:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:36:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.